
.container{
  height: 100vh;
  font-family: Verdana, sans-serif;
  background-image: url("../img/rana-sawalha-364253-unsplash.png");
  background-size: cover;
}

.header{
  width: 100%;
  padding: 16px 75px;
  box-sizing: border-box;
  background-color: rgba(0, 0, 0, 0.41);
  color: rgb(255, 255, 255);
}

.logo{
  float: left;
  padding: 0 710px 0 6px;
  line-height: 21px;
  transition: color 1s steps(4,start);
  color: rgb(255, 255, 255);
  font-size: 20px;
  font-weight: 700;
}

.logo:hover{
  color: rgb(60, 184, 120)
}

.loginpanel a {
  text-decoration: none;
  color: rgb(60, 184, 120);
}

.loginpanel a:hover, .login a:hover, .agreement a:hover{
  text-decoration: underline;
}

.icons{
  float: right;
  padding: 0px 25px;
  text-align: right;
}

.calendar {
  display: inline-block;
  width: 19px;
  height: 19px;
  background: url('../img/css_sprites.png') -106px -10px;
  padding-right: 25px;
  background-repeat: no-repeat;
}

.calendar:hover{
  background: url('../img/css_sprites.png') -106px -49px;
  padding-right: 25px;
  background-repeat: no-repeat;
}

.forum{
  display: inline-block;
  width: 28px;
  height: 20px;
  background: url('../img/css_sprites.png') -10px -10px;
  padding-right: 20px;
  background-repeat: no-repeat;

}
.forum:hover{
  background: url('../img/css_sprites.png') -58px -10px;
  padding-right: 20px;
  background-repeat: no-repeat;
}
.journey{
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url('../img/css_sprites.png') -10px -50px;
  background-repeat: no-repeat;
}

.journey:hover{
  background: url('../img/css_sprites.png') -50px -50px;
  background-repeat: no-repeat;
}

.loginpanel {
  float: right;
  padding-left: 24px;
  line-height: 21px;
  border-left: 1px solid rgba(0,0,0,0.41);
  text-align: right;
}

.clearfix{
  content: "";
  display: table;
  clear: both;
}

.registryform{
  position: absolute;
  top: calc(50vh + 27px);
  left: 50%;
  width: 444px;
  height: 584px;
  padding: 29px 60px;
  box-sizing: border-box;
  transform: translate(-50%, -50%);
  border-radius: 8px;
  background-color: rgb(255,255,255);
}

.heading{
  position: relative;
  display: inline-block;
  width: 100%;
  padding-bottom: 15px;
  font-size: 20px;
  color: rgb(67, 67, 67);
}
.greensquare{
  position: absolute;
  left: -60px;
  width: 18px;
  height: 18px;
  background-color: rgb(60, 184, 120);
}
.sign{
  float: left;
}
.login{
  float: right;
  text-align: right;
}

.login a{
  text-decoration: none;
  font-size: 14px;
  color: rgb(60, 184, 120);
  text-align: right;
}

.buts{
  position: relative;
  transition: .5s ease-in-out;
}

 .facebook, .google{
  width: 157px;
  height: 46px;
  transition: background-color 1.5s cubic-bezier(.1, .9, .9, 1.5);
  border-radius: 3px;
  border: none;
  font-size: 16px;
  line-height: 21px;
  color: rgb(255, 255, 255);
  outline: 0;
}

.facebook{
  background-color: rgb(48, 93, 184);
}

.facebook:hover{
  background-color: rgb(38, 75, 150);
}

.google{
  background-color: rgb(223, 74, 50);
}

.google:hover{
  background-color: rgb(195, 65, 44);
}

.buttext{
  float: right;
  width: 108px;
  border-left: 1px solid rgba(0, 0, 0, .3);
}

.fa-facebook-f:before{
  content: "\f09a";
  position: absolute;
  left: 0px;
  width: 46px;
  height: 46px;
  box-sizing: border-box;
  font-family: fontawesome, sans-serif;
  font-size: 20px;
  line-height: 21px;

}
.fa-google-plus-g:before{
  content: "\f0d5";
  position: absolute;
  left: calc(50% + 8px);
  width: 40px;
  height: 40px;
  font-family: fontawesome, sans-serif;
  font-size: 16px;
  line-height: 21px;
}

.line{
  position: relative;
  margin: 25px 0 12px;
  text-align: center;
}

.line p{
  position: relative;
  display: inline-block;
  padding: 0 10px;
  z-index: 9;
  background-color: rgb(255, 255, 255);
  color: rgb(132, 132, 132);
  font-size: 14px;
}

.line:before, .line:after {
  content: "";
  position: absolute;
  display: inline-block;
  width: 50%;
  height: 100%;
  border-top: 1px solid rgb(235, 235, 235);
  transform: translateY(50%);
}

.line:before{
  left:0;
}

.line:after{
  right: 0;
}

.field{
  width: 100%;
  margin: 2px 0 8px;
  padding: 14px 20px;
  border-radius: 3px;
  box-sizing: border-box;
  border: 1px solid;
  border-color: rgb(235, 235, 235);
}

.inputs>.field::placeholder {
  color: rgb(190, 190, 190);
  font-family: Verdana;
}

.inputs>.field:focus{
  border: 1px solid rgb(255, 255, 255);
  outline: 0;
  box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.21);
  font-size: 14px;
  font-family: Verdana;
}

.choice{
  background-color:rgb(255, 255, 255);
}

.textagree{
  padding: 5px;
  font-size: 14px;
  line-height: 10px;
}

.agreement a{
  display: inline-block;
  padding: 12px 0 25px;
  font-size: 14px;
  text-decoration: none;
  color: rgb(60, 184, 120);
}

label .choice {
  display: none;
}

label span.check {
  height: 15px;
  width: 15px;
  border: 1px solid rgb(190, 190, 190);
  top: 3px;
  display: inline-block;
  position: relative;
  box-sizing: border-box;
  border-radius:2px;
}

.choice:checked +  span.check:before {
  content: '\2714';
  position: absolute;
  top:-4px;
  left: 0;
  font-size:18px;
  color:rgb(60, 184, 120);
}

.createacc{
  padding: 12px 100px;
  transition: all 1s linear;
  border: none;
  border-radius: 3px;
  background-color:  rgb(57, 185, 121);
  color: rgb(255, 255, 255);
  font-family: Verdana;
  font-size: 16px;
}

.createacc:hover{
  background-color:  rgb(46, 155, 101);
}
